package com.ef_prime.rflow.io;

import java.util.HashMap;
import java.util.Map;
import java.util.Set;

public class ElementReader{
	Map<String, SingleElementReader> readerMap = new HashMap<String, SingleElementReader>();
	
	void addSingleElementReader(String element, SingleElementReader elementReader){
		if(readerMap.containsKey(element))
			throw new RuntimeException("can not add dupulicate element:"+element); //$NON-NLS-1$
		readerMap.put(element, elementReader);
	}
	
	void addElementReader(ElementReader readerManager){
		Set<String> keys = readerMap.keySet();
		for(String key : readerManager.readerMap.keySet())
			if(keys.contains(key))
				throw new RuntimeException("can not add dupulicate element:"+key); //$NON-NLS-1$
		this.readerMap.putAll(readerManager.readerMap);
	}
	
	SingleElementReader getSingleElementReader(String qName){
		return readerMap.get(qName);
	}
}
