package com.ef_prime.rflow.node;

import java.awt.Shape;
import java.awt.Window;

import javax.swing.Icon;

import com.ef_prime.rflow.exception.CanceledException;
import com.ef_prime.rflow.exception.IncompatibleCommandException;
import com.ef_prime.rflow.group.AppearanceGroupManager;

/**
 * 現在使われていません。
 */
public class UnmodifiableNodeModel implements NodeModel{
	private NodeModel model;

	public UnmodifiableNodeModel(NodeModel model) {
		this.model = model;
	}
	
	public NodeModel copy() {
		return model.copy();
	}

	public String getCommand() {
		return model.getCommand();
	}

	public String getCommandNewline() {
		return model.getCommandNewline();
	}

	public Shape getGlassShape() {
		return model.getGlassShape();
	}

	public Icon getIcon() {
		return model.getIcon();
	}

	public NodeProperty getProperty() {
		return model.getProperty();
	}

	public Shape getShape() {
		return model.getShape();
	}

	public Icon getSmallIcon() {
		return model.getSmallIcon();
	}

	public String getTitle() {
		return model.getTitle();
	}

	public boolean isEditable() {
		return model.isEditable();
	}

	public boolean isTitle() {
		return model.isTitle();
	}

	public void setCommand(String command) throws IncompatibleCommandException {
		throw new UnsupportedOperationException();
	}

	public void setProperty(NodeProperty property) {
		throw new UnsupportedOperationException();
	}

	public void setTitle(String title) {
		throw new UnsupportedOperationException();
	}

	public NodeModel showConfigDialog(Window parent) throws CanceledException {
		return model.showConfigDialog(parent);
	}

	public void update(AppearanceGroupManager groupManager) {
		model.update(groupManager);
	}
}
