package com.ef_prime.rflow.util;

import javax.swing.Action;
import javax.swing.ActionMap;

/** *
 * @param <E>
 */
public class AbstractActionManager<E extends Enum> extends ActionMap{
	
	public Action getAction(String key){
		return get(key);
	}

	public Action getAction(E key){
		return getAction(getActionKey(key));
	}
	
	public void putAction(String key, Action action){
		put(key, action);
	}
	
	public void putAction(E key, Action action){
		putAction(getActionKey(key), action);
	}
	
	public String getActionKey(E key){
		return key.toString();
	}
}
