package com.ef_prime.rflow.io;


public interface FlowDataElements {
	
	static final String RFLOW = "rflow"; //$NON-NLS-1$
	static final String VERSION = "version"; //$NON-NLS-1$
	
	/*---------------------------Graph------------------------------*/
	static final String GRAPH_FILE_VERSION = "0.1"; //$NON-NLS-1$
	static final String GRAPH = "graph"; //$NON-NLS-1$
	
	static final String FLOWSETTING = "setting"; //$NON-NLS-1$

	
	//static final String BOX = "box";
	static final String WIDTH = "width"; //$NON-NLS-1$
	static final String HEIGHT = "height"; //$NON-NLS-1$
	
	static final String LOCATION_TYPE = "locationtype"; //$NON-NLS-1$
	static final String LOCATION_TYPE_ABSOLUTE = "a"; //$NON-NLS-1$
	static final String LOCATION_TYPE_RELATIVE = "r"; //$NON-NLS-1$
	
	static final String LOCATION_OFFSET_X = "offsetx"; //$NON-NLS-1$
	static final String LOCATION_OFFSET_Y = "offsety"; //$NON-NLS-1$

	
	//node
	static final String NODE = "node"; //$NON-NLS-1$
	static final String ID = "id"; //$NON-NLS-1$
	static final String X = "x"; //$NON-NLS-1$
	static final String Y = "y"; //$NON-NLS-1$
	static final String TITLE = "title"; //$NON-NLS-1$
	static final String COMMAND = "command"; //$NON-NLS-1$
	static final String OPTION = "option"; //$NON-NLS-1$
	static final String TYPE = "type"; //$NON-NLS-1$
	//node.property
	static final String PROPERTY = "property"; //$NON-NLS-1$
	static final String ENTRY = "entry"; //$NON-NLS-1$
	static final String KEY = "key"; //$NON-NLS-1$
	//static final String SHAPE = "shape";
	static final String COMMENT = "comment"; //$NON-NLS-1$
	
	//edge
	static final String EDGE = "edge"; //$NON-NLS-1$
	static final String FROM = "from"; //$NON-NLS-1$
	static final String TO = "to"; //$NON-NLS-1$

	/*-----------------------Function Tree------------------------------*/
	/*-----------------------Function Group------------------------------*/
	static final String FUNCTION_TREE_VERSION = "0.1"; //$NON-NLS-1$
	static final String FUNCTION_TREE = "functiontree"; //$NON-NLS-1$
	static final String FUNCTION_NODE = "fnode"; //$NON-NLS-1$

	static final String FUNCTION_GROUP = "group"; //$NON-NLS-1$
	static final String ICON = "icon"; //$NON-NLS-1$
	static final String SHAPE = "shape"; //$NON-NLS-1$
	
	//static final String TITLE = "title";//in graph
	static final String FUNCTION = "function"; //$NON-NLS-1$
	static final String GROUP = "group"; //$NON-NLS-1$
	static final String SOURCE = "source"; //$NON-NLS-1$
	static final String CHILDREN = "children"; //$NON-NLS-1$
	
	/*-----------------------Parts Tree------------------------------*/
	static final String PARTS_TREE = "partstree"; //$NON-NLS-1$
	static final String PARTS_NODE = "pnode"; //$NON-NLS-1$
	static final String PARTS = "parts"; //$NON-NLS-1$
	
	//static final String TITLE = "title";//in graph
	
}
